#version 150 core

uniform sampler2D colorMap;

in vec2 pass_TextCoord;

out vec4 out_Color;

float LinearizeDepth(vec2 uv) {
	float n = 0.01; // camera z near
	float f = 100.0; // camera z far
	float z = texture2D(colorMap, uv).x;
	return (2.0 * n) / (f + n - z * (f - n));
}

void main(void) {
	//out_Color = vec4(vec3(LinearizeDepth(pass_TextCoord)), 1.0);//texture2D(colorMap, pass_TextCoord);
	out_Color = textureLod(colorMap, pass_TextCoord, 0); // 7
}