package modules.render.cpu;

import org.lwjgl.util.vector.Vector3f;
import org.lwjgl.util.vector.Vector4f;

public class DataTypeConverter {

	public static Vector4f[][] toVector(Float[][] in) {
		
		Vector4f[][] out = new Vector4f[in.length][in[0].length];
		
		for (int y = 0; y < out[0].length; y++) {
			for (int x = 0; x < out.length; x++) {
				out[x][y] = new Vector4f(in[x][y], in[x][y], in[x][y], 1.0f);
			}
		}
		
		return out;
	}
	
	public static Vector4f[][] toVec4(Vector3f[][] in) {
		
		Vector4f[][] out = new Vector4f[in.length][in[0].length];
		
		for (int y = 0; y < out[0].length; y++) {
			for (int x = 0; x < out.length; x++) {
				out[x][y] = new Vector4f(in[x][y].x, in[x][y].y, in[x][y].z, 1.0f);
			}
		}
		
		return out;
	}
	
}
