package modules.render.cpu;

import org.lwjgl.util.vector.Vector3f;

public class VectorMath {

	/**
	 * Transforms to [-1, 1]
	 * 
	 * @param v
	 */
	public static void toNegativePositive(Vector3f v) {
		
		v.x = (2.0f*v.x) - 1.0f;
		v.y = (2.0f*v.y) - 1.0f;
		v.z = (2.0f*v.z) - 1.0f;
		
		v.normalise();
		
	}
	
	/**
	 * Transforms to [0, 1]
	 * 
	 * @param v
	 */
	public static void toPositive(Vector3f v) {
		
		v.x = (v.x+1.0f)/2.0f;
		v.y = (v.y+1.0f)/2.0f;
		v.z = (v.z+1.0f)/2.0f;
		
	}
	
}
