#version 150 core

uniform int index;
uniform vec2 gridDimension;
uniform sampler2D atlas;

in vec2 pass_TextCoord;

out vec4 out_Color;

void main(void) {

	vec2 uvCoords = pass_TextCoord;

	uvCoords.x /= gridDimension.x; // to corresponding part of the atlas
	uvCoords.y /= gridDimension.y;
	uvCoords.x += 1.0/gridDimension.x * mod(index,gridDimension.x); //was index+1
	uvCoords.y += 1.0/gridDimension.y * floor((index)/gridDimension.x); //was index+1
	
	out_Color = texture2D(atlas, uvCoords);
	
	//out_Color = vec4(1.0, 0.0, 0.0, 1.0);
	
}