package modules.commands;

import java.util.ArrayList;

/**
 * Command pattern dispatcher.
 * @author DarkMatt
 *
 */
public class CommandExecutor {

	// for possible undo
	private ArrayList<ICommand> history;
	
	public CommandExecutor() {
		history = new ArrayList<ICommand>();
	}
	
	public void execute(ICommand command) {
		command.execute();
		history.add(command);
	}
	
}
