package modules.loader;

import modules.Module;
import modules.commands.CommandExecutor;
import modules.commands.Command_Factory;
import modules.loader.objects.ObjectFactory;


public class LoaderModule extends Module {

	private ObjectFactory factory;
	
	public LoaderModule(Scene scene, CommandExecutor commandExecutor, Command_Factory commandFactory, int updateFrequencyMs) {
		super(scene, commandExecutor, commandFactory, updateFrequencyMs);
	}

	@Override
	protected void init() {
		factory = new ObjectFactory();
		scene.loadTestScene(factory);
	}

	@Override
	protected void update() {
		
	}

	@Override
	protected void quit() {
		
	}

}
