package modules.render.cpu.boundingsphere;

import java.util.ArrayList;

public abstract class AbstractBoundingSphereGenerator {

	/** Resulting Bounding-Sphere */
	protected BoundingSphere boundingSphereResult;
	/** List of Bounding-Spheres to process */
	protected ArrayList<BoundingSphere> boudingSpheresInput = new ArrayList<BoundingSphere>();
	
	public void addBoundingSphere(BoundingSphere toAdd){
		boudingSpheresInput.add(toAdd);
	}
	
	public void addBoundingSpheres(ArrayList<BoundingSphere> boudingSpheresInput) {
		this.boudingSpheresInput.addAll(boudingSpheresInput);
	}
	
	public BoundingSphere getBoundingSphereResult() {
		return boundingSphereResult;
	}
	
	public abstract void calculateBoundingSphere();
	
}
