package modules.render.objects;

public interface ICamera {

	public float[] getCameraMatrix();
	public float[] getViewMatrix();
	public float[] getProjMatrix();
	public float[] getInvProjMatrix();
	
	public void setViewMatrix(float[] matrix);
	public void setProjMatrix(float[] matrix);
	public void setInvProjMatrix(float[] matrix);
	
	public void translate(float x, float y, float z);
	public void rotateX(float angle);
	public void rotateY(float angle);
	public void rotateZ(float angle);
	
}
